Subject: bug#54698: non-recursive GC marking [PATCH]

From: Phil Sainty <[email-masked]>
Date: Wed, 06 Apr 2022 17:48:07 +1200

On 2022-04-06 16:09, Richard Stallman wrote:
> A few weeks ago, when I had too little physical memory for a while,
> I found that my machine would start thrashing, and then Linux would
> kill a large process.

Linux does indeed have such a feature.  There is a description here:

https://www.kernel.org/doc/gorman/html/understand/understand016.html

I do not know whether such a feature is common to modern systems
more generally, but the above article says "This is a controversial
part of the [virtual memory system] and it has been suggested that
it be removed on many occasions", so I don't imagine that it's
considered to be a standard approach.